Retrieve a summary of all check-ins for a user
GET/api/users/:userId/summary
Retrieve a summary of all check-ins for a user. This includes mileage, condition and service check-ins.
Request
Path Parameters
Responses
- 200
- 401
- 403
- 404
- 500
A summary of check-in information about the user.
- application/json
- Schema
- Example (from schema)
Schema
Array [
Array [
Array [
]
Array [
]
]
Array [
]
]
user
object
Unique Id for the user
User's first name
User's last name
User's email address
User's cell phone number
Internal admin note
Custom Field 1
Custom Field 2
Custom Field 3
Custom Field 4
Custom Field 5
address
object
Address
Street Address Line 1
Street Address Line 2
City
2 Letter State Code
2 Letter Country Code
Zip
Possible values: [None, Accepted, Declined]
User's answer to terms of service for sharing data with Partner. (Only valid for certain partners)
A code generated for the user to share with Partner. (Only valid for certain partners)
Time at which user was registered on the system
Last updated timestamp
vehicles
object[]
Vehicles owned by user
Id of the vehicle
License plate number
Make of the vehicle
Model of the vehicle
VIN of the vehicle.
2 Letter State Code (eg. AL, CA, CO etc.)
mileageCheckinSummary
object
A summary of mileage check-ins for a vehicle.
checkins
object[]
List of all check-ins
Id of the check-in
Type of the check-in
Status of the check-in
Timestamp of the check-in
Admin generated note. Usually used for on-hold or declined check-ins
reward
object
Reward associated with the check-in
Id of the reward
Possible values: [Pending, Confirmed, Declined, Claimed, All]
Status of the reward
Date on which reward was created
Is a check-in unlocked.
If the check-in is unlocked, the time at which it was unlocked.
Number of days to next check-in.
Reward for next check-in based on current campaign setup.
The ordinal of the last confirmed check-in. 0 represents no confirmed check-ins
Mileage of last confirmed check-in.
conditionCheckinSummary
object
A summary of condition check-ins for a vehicle.
checkins
object[]
List of all check-ins
Id of the check-in
Type of the check-in
Status of the check-in
Timestamp of the check-in
Admin generated note. Usually used for on-hold or declined check-ins
reward
object
Reward associated with the check-in
Id of the reward
Possible values: [Pending, Confirmed, Declined, Claimed, All]
Status of the reward
Date on which reward was created
Is a check-in unlocked.
If the check-in is unlocked, the time at which it was unlocked.
Number of days to next check-in.
Reward for next check-in based on current campaign setup.
The ordinal of the last confirmed check-in. 0 represents no confirmed check-ins
proofOfAddressCheckins
object
A summary of proof of address check-ins for a vehicle.
checkins
object[]
List of all check-ins
Id of the check-in
Type of the check-in
Status of the check-in
Timestamp of the check-in
Admin generated note. Usually used for on-hold or declined check-ins
reward
object
Reward associated with the check-in
Id of the reward
Possible values: [Pending, Confirmed, Declined, Claimed, All]
Status of the reward
Date on which reward was created
address
object
Address
Street Address Line 1
City
2 Letter State Code
2 Letter Country Code
Zip
Latitude at which photo was taken
Longitude at which photo was taken
Is a check-in unlocked.
If the check-in is unlocked, the time at which it was unlocked.
Number of days to next check-in.
Reward for next check-in based on current campaign setup.
Bonus for home photos for next check-in based on current campaign setup.
The ordinal of the last confirmed check-in. 0 represents no confirmed check-ins
[
{
"user": {
"id": "string",
"firstName": "string",
"lastName": "string",
"email": "string",
"phone": "string",
"adminNote": "string",
"customField1": "string",
"customField2": "string",
"customField3": "string",
"customField4": "string",
"customField5": "string",
"address": {
"addressLine1": "string",
"addressLine2": "string",
"city": "string",
"state": "string",
"country": "string",
"zip": "string"
},
"tosAnswer": "None",
"partnerCode": "string",
"dateRegistered": "string",
"updated": "string",
"emailVerified": true,
"phoneVerified": true,
"fraud": true
},
"vehicles": [
{
"id": "string",
"license": "string",
"make": "string",
"model": "string",
"vin": "string",
"state": "string",
"mileageCheckinSummary": {
"checkins": [
{
"id": "string",
"checkInType": "string",
"status": "string",
"checkinDate": "string",
"adminNote": "string",
"reward": {
"id": "string",
"status": "Pending",
"dateRewarded": "string",
"amount": 0
}
}
],
"checkinUnlocked": true,
"unlockDate": "string",
"daysToNextCheckin": 0,
"rewardAmountForNextCheckin": 0,
"lastConfirmedOrdinal": 0,
"lastConfirmedMileage": 0
},
"conditionCheckinSummary": {
"checkins": [
{
"id": "string",
"checkInType": "string",
"status": "string",
"checkinDate": "string",
"adminNote": "string",
"reward": {
"id": "string",
"status": "Pending",
"dateRewarded": "string",
"amount": 0
}
}
],
"checkinUnlocked": true,
"unlockDate": "string",
"daysToNextCheckin": 0,
"rewardAmountForNextCheckin": 0,
"lastConfirmedOrdinal": 0
}
}
],
"proofOfAddressCheckins": {
"checkins": [
{
"id": "string",
"checkInType": "string",
"status": "string",
"checkinDate": "string",
"adminNote": "string",
"reward": {
"id": "string",
"status": "Pending",
"dateRewarded": "string",
"amount": 0
},
"address": {
"addressLine1": "string",
"city": "string",
"state": "string",
"country": "string",
"zip": "string",
"latitude": 0,
"longitude": 0
}
}
],
"checkinUnlocked": true,
"unlockDate": "string",
"daysToNextCheckin": 0,
"rewardAmountForNextCheckin": 0,
"photoBonusForNextCheckin": 0,
"lastConfirmedOrdinal": 0
}
}
]
Authorization error e.g. due to an invalid or missing API keys.
Forbidden. Possible error codes
-
ERROR_NO_PERMISSIONS_TO_RESOURCE
- application/json
- Schema
- Example (from schema)
Schema
Error code
A verbose error message
{
"error_code": "string",
"error_message": "string"
}
User not found. Possible error codes
-
ERROR_USER_NOT_FOUND
-
ERROR_VEHICLE_NOT_FOUND
- application/json
- Schema
- Example (from schema)
Schema
Error code
A verbose error message
{
"error_code": "string",
"error_message": "string"
}
Internal error. Possible error codes
-
INTERNAL_SERVER_ERROR
- application/json
- Schema
- Example (from schema)
Schema
Error code
A verbose error message
{
"error_code": "string",
"error_message": "string"
}